M2MM(1ACK)

NAME
m2mm - Modula-2 makefile generator

SYNOPSIS
m2mm [ -Idir -Mflags -Ccompiler -Ssuffix ] file ...

DESCRIPTION
M2mm is a makefile generator and fast syntax checker for Modula-2 programs. The makefile is produced on standard output. M2mm will generate rules to produce an object file for every module used in the argument files. In addition, it will generate a rule to make a program, for each of the program modules given as argument. Using make(1) without an argument will make all these programs.

In the makefile, the variables MOD, M2FLAGS, IFLAGS, and SUFFIX will be defined. The generated rules have the following form: name.$(SUFFIX): ...
    $(MOD) -c $(M2FLAGS) $(IFLAGS) name.mod M2mm recognizes the following options:

-Idir
    Add dir to the list of directories where definition modules are looked for. Also add the flag to IFLAGS. The default value for IFLAGS is empty.

-Mflags
    Set M2FLAGS to flags.

-Ccompiler
    Set MOD to compiler. The default value for MOD is "ack" (for the time being).

-Ssuffix
    Set SUFFIX to suffix. The default suffix is "o".

SEE ALSO
make(1), modula-2(1)

DIAGNOSTICS
Are intended to be self-explanatory.